/// class PD.Manage.Modules.TestMailSettingsDialogCommand

PD.Manage.Modules.TestMailSettingsDialogCommand =
    PD.Commands.Command.extend({

        //===================================
        // PUBLIC METHODS
        //===================================

        setDefaults: function () {
            this.props("id", "mail-queue-item/test-settings-dialog");
            this.props("enabled", true);
            this.props("icon", PD.Path.to16x16("server_mail.png"));
            this.props("label", "Test Mail Settings");
            this.props("tooltip", "Test the configured Mail Settings.");
        },

        execute: function (e) {
            PD.Manage.Modules.TestMailSettingsDialog.open();
        }

    });